/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.collection.rmq;

import net.ranides.assira.collection.lists.AIntList;

public abstract class AIntRMQList extends AIntList implements IntRMQList {
    
    protected static final String NSE = "Not supported by RMQList";

    @Override
    public final int findInt() {
        return find(0, size());
    }
    
    @Override
    public final Integer find() {
        return findInt();
    }
    
    @Override
    public final Integer find(int begin, int end) {
        return findInt(begin, end);
    }
    
    @Override
    public int set(int index, int value) {
        throw new UnsupportedOperationException(NSE);
    }

    @Override
    public int removeInt(int index) {
        throw new UnsupportedOperationException(NSE);
    }

    @Override
    public void add(int index, int value) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}
